// test.cpp : R\[ AvP[Vp̃Gg |Cg̒`
//

#include "stdafx.h"
#include "..\gpio\gpio.h"

void main(int argc, char* argv[])
{
	GPIO_HANDLE gpioHandle;
	GPIO_STATUS st;
	UINT nmbr;
	unsigned char dt;

	st = GPIO_ScanInterface(&nmbr);
	if(nmbr != 0)
	{
		st = GPIO_OpenInterface(0, &gpioHandle);
		if(st == GPIO_OK) 
		{
			printf("Interface opened.  Handle = %d\n", gpioHandle);

			printf("\n");
			st = GPIO_Output(gpioHandle, 'C', 0x55);
			printf("Out 55h to Port C: status-%d\n", st);
			st = GPIO_Output(gpioHandle, 'C', 0xAA);
			printf("Out AAh to Port C: status-%d\n", st);
			
			printf("\n");
			st = GPIO_Output(gpioHandle, 'D', 0x55);
			printf("Out 55h to Port C: status-%d\n", st);
			st = GPIO_Output(gpioHandle, 'D', 0xAA);
			printf("Out AAh to Port C: status-%d\n", st);

			printf("\n");
			st = GPIO_BitSet(gpioHandle, 'C', 0);
			printf("BitSet #0 to Port C: status-%d\n", st);
			st = GPIO_BitReset(gpioHandle, 'C', 7);
			printf("BitReSet #7 to Port C: status-%d\n", st);

			printf("\n");
			st = GPIO_BitSet(gpioHandle, 'D', 0);
			printf("BitSet #0 to Port D: status-%d\n", st);
			st = GPIO_BitReset(gpioHandle, 'D', 7);
			printf("BitReSet #7 to Port D: status-%d\n", st);
				
			printf("\n");
			st = GPIO_Input(gpioHandle, 'A', &dt);
			printf("Port A: status-%d  data-%x\n", st, dt);

			printf("\n");
			st = GPIO_Input(gpioHandle, 'B', &dt);
			printf("Port B: status-%d  data-%x\n", st, dt);

			printf("\n");
			st = GPIO_BitTest(gpioHandle, 'A', 0);
			printf("BitTest #0 Port A: status-%d\n", st);
			st = GPIO_BitTest(gpioHandle, 'A', 7);
			printf("BitTest #7 Port A: status-%d\n", st);

			printf("\n");
			st = GPIO_BitTest(gpioHandle, 'B', 0);
			printf("BitTest #0 Port B: status-%d\n", st);
			st = GPIO_BitTest(gpioHandle, 'B', 7);
			printf("BitTest #7 Port B: status-%d\n", st);

			printf("\n");
			st = GPIO_CloseInterface(gpioHandle);
			printf("Interface closed.\n\n");
		}
		else printf("Error %d\n",st);
	}
}